org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class KillApplicationRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.KillApplicationRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class KillApplicationRequestPBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KillApplicationRequestPBImpl()`
    `KillApplicationRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.KillApplicationRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.api.records.ApplicationId` | `getApplicationId()`
    `String` | `getDiagnostics()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.KillApplicationRequestProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId applicationId)`
    `void` | `setDiagnostics(String diagnostics)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KillApplicationRequestPBImpl

          public KillApplicationRequestPBImpl()

    - #### KillApplicationRequestPBImpl

          public KillApplicationRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.KillApplicationRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.KillApplicationRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getApplicationId

          public org.apache.hadoop.yarn.api.records.ApplicationId getApplicationId()

      Specified by:
        `getApplicationId` in class `org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest`

    - #### setApplicationId

          public void setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId applicationId)

      Specified by:
        `setApplicationId` in class `org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest`

    - #### getDiagnostics

          public String getDiagnostics()

      Specified by:
        `getDiagnostics` in class `org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest`

    - #### setDiagnostics

          public void setDiagnostics(String diagnostics)

      Specified by:
        `setDiagnostics` in class `org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.